> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all the account details (pooled, virtual, segregated)

> Retrieve the account details of the client all grouped together




## OpenAPI

````yaml /openapi/ebury-spec.json get /account-details/all
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security:
  - api_key: []
paths:
  /account-details/all:
    get:
      tags:
        - Account details
      summary: Get all the account details (pooled, virtual, segregated)
      description: |
        Retrieve the account details of the client all grouped together
      parameters:
        - name: Authorization
          in: header
          description: The access token
          required: true
          schema:
            type: string
        - name: client_id
          in: query
          description: ID of the client that owns the account details
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: List of account details
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AccountDetailsAllResponse'
        '400':
          description: >-
            Formatting, parameter or schema validation error. See error message
            for further details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '401':
          description: Access denied due to authentication failure
        '404':
          description: Client ID not found
        '429':
          description: Too many requests
        '502':
          description: Internal integration error. Contact support
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    AccountDetailsAllResponse:
      type: object
      properties:
        account_id:
          type: string
        currency:
          type: string
        pooled_account_details:
          type: array
          items:
            $ref: '#/components/schemas/PooledAccountDetails'
        segregated_account_details:
          type: array
          items:
            $ref: '#/components/schemas/SegregatedAccountDetails'
        virtual_account_details:
          type: array
          items:
            $ref: '#/components/schemas/VirtualAccountDetails'
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object
    PooledAccountDetails:
      type: object
      properties:
        account_details_id:
          type: string
        account_details_type:
          type: string
          enum:
            - pooled
        account_holder_address:
          type: string
        account_holder_name:
          type: string
        account_id:
          type: string
        country:
          type: string
        currency:
          type: string
        domestic:
          $ref: '#/components/schemas/DomesticDetails'
        international:
          $ref: '#/components/schemas/InternationalDetails'
        financial_institution_address:
          type: string
        financial_institution_name:
          type: string
        status:
          type: string
    SegregatedAccountDetails:
      type: object
      properties:
        account_details_id:
          type: string
        account_details_type:
          type: string
        account_holder_name:
          type: string
        account_id:
          type: string
        alias:
          type: string
        country:
          type: string
        created:
          type: string
          format: date-time
        currency:
          type: string
        domestic:
          allOf:
            - $ref: '#/components/schemas/DomesticDetails'
          type: object
          nullable: true
        financial_institution_address:
          type: string
        financial_institution_name:
          type: string
        international:
          $ref: '#/components/schemas/InternationalDetails'
        modified:
          type: string
          format: date-time
        primary:
          type: boolean
        status:
          type: string
    VirtualAccountDetails:
      type: object
      properties:
        account_details_id:
          type: string
        account_details_type:
          type: string
        account_holder_address:
          type: string
        account_holder_name:
          type: string
        account_id:
          type: string
        alias:
          type: string
        country:
          type: string
        created:
          type: string
          format: date-time
        currency:
          type: string
        domestic:
          $ref: '#/components/schemas/DomesticDetails'
        international:
          $ref: '#/components/schemas/InternationalDetails'
        financial_institution_address:
          type: string
        financial_institution_name:
          type: string
        modified:
          type: string
          format: date-time
        primary:
          type: boolean
        status:
          type: string
    DomesticDetails:
      type: object
      properties:
        account_number:
          type: string
        account_number_type:
          type: string
        bank_identifier:
          type: string
        bank_identifier_type:
          type: string
    InternationalDetails:
      type: object
      properties:
        account_number:
          type: string
        account_number_type:
          type: string
        bank_identifier:
          type: string
        bank_identifier_type:
          type: string
  securitySchemes:
    api_key:
      description: An API Key.
      in: header
      name: x-api-key
      type: apiKey

````